org.eclipse.jdt.ui

## Class JavaElementSorter

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.jdt.ui.JavaElementSorter

Deprecated.
use `JavaElementComparator` instead.

    @Deprecated
    public class JavaElementSorter
    extends ViewerSorter

Sorter for Java elements. Ordered by element category, then by element name. Package fragment roots are sorted as ordered on the classpath.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

### Constructor Summary

Constructors
Constructor and Description
`JavaElementSorter()` Deprecated. Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `category(Object element)` Deprecated.
`int` `compare(Viewer viewer, Object e1, Object e2)` Deprecated.
`Collator` `getCollator()` Deprecated. The method is not intended to be used by clients.
`boolean` `isSorterProperty(Object element, Object property)` Deprecated. Bug 22518. Method never used: does not override ViewerSorter#isSorterProperty(Object, String). Method could be removed, but kept for API compatibility.

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaElementSorter

    public JavaElementSorter()

Deprecated.
Constructor.

### Method Detail

#### isSorterProperty

    @Deprecated
    public boolean isSorterProperty(Object element,
                                                Object property)

Deprecated. Bug 22518. Method never used: does not override ViewerSorter#isSorterProperty(Object, String). Method could be removed, but kept for API compatibility.

Parameters:
  `element` - the element
  `property` - the property
Returns:
  always `true`

#### category

    public int category(Object element)

Deprecated.

Overrides:
  `category` in class `ViewerComparator`

#### compare

    public int compare(Viewer viewer,
                       Object e1,
                       Object e2)

Deprecated.

Overrides:
  `compare` in class `ViewerComparator`

#### getCollator

    @Deprecated
    public final Collator getCollator()

Deprecated. The method is not intended to be used by clients.
Overrides `ViewerSorter.getCollator()`.

Overrides:
  `getCollator` in class `ViewerSorter`